Package com.xebialabs.xlrelease.configuration

# Class ThemeSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.ThemeSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Customization") public class ThemeSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `THEME_SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThemeSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `String`
  `getHeaderAccentColor()`
  `String`
  `getHeaderAccentColorCode()`
  `String`
  `getHeaderName()`
  `String`
  `getLoginMessage()`
  `void`
  `setDescription(String description)`
  `void`
  `setHeaderAccentColor(String headerAccentColor)`
  `void`
  `setHeaderName(String headerName)`
  `void`
  `setLoginMessage(String loginMessage)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, getTitle, hasId, isSupportedOn, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### THEME_SETTINGS_ID

    public static final String THEME_SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ThemeSettings

    public ThemeSettings()

- ## Method Details

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getHeaderAccentColor

    public String getHeaderAccentColor()

  - ### setHeaderAccentColor

    public void setHeaderAccentColor(String headerAccentColor)

  - ### getHeaderName

    public String getHeaderName()

  - ### setHeaderName

    public void setHeaderName(String headerName)

  - ### getHeaderAccentColorCode

    public String getHeaderAccentColorCode()

  - ### getLoginMessage

    public String getLoginMessage()

  - ### setLoginMessage

    public void setLoginMessage(String loginMessage)